Liferay.Loader.define("segments-web@1.0.59/js/ExperienceSelector", ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = _default;

  /**
   * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
   *
   * This library is free software; you can redistribute it and/or modify it under
   * the terms of the GNU Lesser General Public License as published by the Free
   * Software Foundation; either version 2.1 of the License, or (at your option)
   * any later version.
   *
   * This library is distributed in the hope that it will be useful, but WITHOUT
   * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
   * details.
   */
  function _default(_ref) {
    var namespace = _ref.namespace;
    var dropdown = document.getElementById("".concat(namespace, "dropdown"));
    var dropdownToggle = document.getElementById("".concat(namespace, "dropdownToggle"));
    var closeSimulationPanelEvent = null;
    var openSimulationPanelEvent = null;

    var handleClick = function handleClick() {
      if (dropdownToggle.getAttribute('aria-expanded') === 'false') {
        dropdown.classList.add('show');
        dropdownToggle.setAttribute('aria-expanded', 'true');
      } else {
        dropdown.classList.remove('show');
        dropdownToggle.setAttribute('aria-expanded', 'false');
      }
    };

    var handleDisable = function handleDisable(disable) {
      dropdown.classList.remove('show');
      dropdownToggle.classList[disable ? 'add' : 'remove']('disabled');
      dropdownToggle.setAttribute('aria-expanded', 'false');
    };

    if (dropdown && dropdownToggle) {
      closeSimulationPanelEvent = Liferay.on('SimulationMenu:closeSimulationPanel', function () {
        return handleDisable(false);
      });
      dropdownToggle.addEventListener('click', handleClick);
      openSimulationPanelEvent = Liferay.on('SimulationMenu:openSimulationPanel', function () {
        return handleDisable(true);
      });
    }

    return {
      dispose: function dispose() {
        if (dropdownToggle) {
          closeSimulationPanelEvent.detach();
          dropdownToggle.removeEventListener('click', handleClick);
          openSimulationPanelEvent.detach();
        }
      }
    };
  }
  //# sourceMappingURL=ExperienceSelector.js.map
});
//# sourceMappingURL=ExperienceSelector.js.map