Liferay.Loader.define("segments-web@1.0.59/js/components/inputs/DateTimeInput.es", ['module', 'exports', 'require', 'segments-web$date-fns', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', '../../utils/constants.es'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = void 0;

  var _dateFns = _interopRequireDefault(require("segments-web$date-fns"));

  var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

  var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

  var _constants = require("../../utils/constants.es");

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { "default": obj };
  }

  function _typeof(obj) {
    "@babel/helpers - typeof";
    if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
      _typeof = function _typeof(obj) {
        return typeof obj;
      };
    } else {
      _typeof = function _typeof(obj) {
        return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
      };
    }return _typeof(obj);
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  function _defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  function _createClass(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
  }

  function _possibleConstructorReturn(self, call) {
    if (call && (_typeof(call) === "object" || typeof call === "function")) {
      return call;
    }return _assertThisInitialized(self);
  }

  function _getPrototypeOf(o) {
    _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
      return o.__proto__ || Object.getPrototypeOf(o);
    };return _getPrototypeOf(o);
  }

  function _assertThisInitialized(self) {
    if (self === void 0) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }return self;
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function");
    }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
  }

  function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
      o.__proto__ = p;return o;
    };return _setPrototypeOf(o, p);
  }

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
    } else {
      obj[key] = value;
    }return obj;
  }

  var INPUT_DATE_FORMAT = 'YYYY-MM-DD';

  var DateTimeInput = /*#__PURE__*/function (_React$Component) {
    _inherits(DateTimeInput, _React$Component);

    function DateTimeInput() {
      var _getPrototypeOf2;

      var _this;

      _classCallCheck(this, DateTimeInput);

      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(DateTimeInput)).call.apply(_getPrototypeOf2, [this].concat(args)));

      _defineProperty(_assertThisInitialized(_this), "state", {});

      _defineProperty(_assertThisInitialized(_this), "_handleDateChange", function (event) {
        var value = event.target.value;

        _this.setState({
          value: value
        });
      });

      _defineProperty(_assertThisInitialized(_this), "_handleDateBlur", function (event) {
        var date = _dateFns["default"].format(event.target.value, INPUT_DATE_FORMAT);

        if (date !== 'Invalid Date') {
          _this.setState({
            value: date
          }, function () {
            _this.props.onChange({
              type: _constants.PROPERTY_TYPES.DATE_TIME,
              value: _dateFns["default"].parse(date, INPUT_DATE_FORMAT).toISOString()
            });
          });
        } else {
          var resetDate = _dateFns["default"].format(new Date(), INPUT_DATE_FORMAT);

          _this.setState({
            value: resetDate
          }, function () {
            _this.props.onChange({
              type: _constants.PROPERTY_TYPES.DATE_TIME,
              value: _dateFns["default"].parse(resetDate, INPUT_DATE_FORMAT).toISOString()
            });
          });
        }
      });

      return _this;
    }

    _createClass(DateTimeInput, [{
      key: "render",
      value: function render() {
        var value = this.state.value;
        var disabled = this.props.disabled;
        return _react["default"].createElement("div", {
          className: "criterion-input date-input"
        }, _react["default"].createElement("input", {
          className: "form-control",
          "data-testid": "date-input",
          disabled: disabled,
          onBlur: this._handleDateBlur,
          onChange: this._handleDateChange,
          type: "date",
          value: value
        }));
      }
    }], [{
      key: "getDerivedStateFromProps",
      value: function getDerivedStateFromProps(props, state) {
        var returnVal = null;

        if (props.value != state.initialValue) {
          returnVal = {
            initialValue: props.value,
            value: _dateFns["default"].format(new Date(props.value), INPUT_DATE_FORMAT)
          };
        }

        return returnVal;
      }
    }]);

    return DateTimeInput;
  }(_react["default"].Component);

  var _default = DateTimeInput;
  exports["default"] = _default;
  //# sourceMappingURL=DateTimeInput.es.js.map
});
//# sourceMappingURL=DateTimeInput.es.js.map