Liferay.Loader.define('segments-web$date-fns@1.30.1/add_years/index', ['module', 'exports', 'require', '../add_months/index'], function (module, exports, require) {
  var define = undefined;
  var addMonths = require('../add_months/index');

  /**
   * @category Year Helpers
   * @summary Add the specified number of years to the given date.
   *
   * @description
   * Add the specified number of years to the given date.
   *
   * @param {Date|String|Number} date - the date to be changed
   * @param {Number} amount - the amount of years to be added
   * @returns {Date} the new date with the years added
   *
   * @example
   * // Add 5 years to 1 September 2014:
   * var result = addYears(new Date(2014, 8, 1), 5)
   * //=> Sun Sep 01 2019 00:00:00
   */
  function addYears(dirtyDate, dirtyAmount) {
    var amount = Number(dirtyAmount);
    return addMonths(dirtyDate, amount * 12);
  }

  module.exports = addYears;
});
//# sourceMappingURL=index.js.map