Liferay.Loader.define('segments-web$date-fns@1.30.1/difference_in_hours/index', ['module', 'exports', 'require', '../difference_in_milliseconds/index'], function (module, exports, require) {
  var define = undefined;
  var differenceInMilliseconds = require('../difference_in_milliseconds/index');

  var MILLISECONDS_IN_HOUR = 3600000;

  /**
   * @category Hour Helpers
   * @summary Get the number of hours between the given dates.
   *
   * @description
   * Get the number of hours between the given dates.
   *
   * @param {Date|String|Number} dateLeft - the later date
   * @param {Date|String|Number} dateRight - the earlier date
   * @returns {Number} the number of hours
   *
   * @example
   * // How many hours are between 2 July 2014 06:50:00 and 2 July 2014 19:00:00?
   * var result = differenceInHours(
   *   new Date(2014, 6, 2, 19, 0),
   *   new Date(2014, 6, 2, 6, 50)
   * )
   * //=> 12
   */
  function differenceInHours(dirtyDateLeft, dirtyDateRight) {
    var diff = differenceInMilliseconds(dirtyDateLeft, dirtyDateRight) / MILLISECONDS_IN_HOUR;
    return diff > 0 ? Math.floor(diff) : Math.ceil(diff);
  }

  module.exports = differenceInHours;
});
//# sourceMappingURL=index.js.map