Liferay.Loader.define('segments-web$date-fns@1.30.1/difference_in_weeks/index', ['module', 'exports', 'require', '../difference_in_days/index'], function (module, exports, require) {
  var define = undefined;
  var differenceInDays = require('../difference_in_days/index');

  /**
   * @category Week Helpers
   * @summary Get the number of full weeks between the given dates.
   *
   * @description
   * Get the number of full weeks between the given dates.
   *
   * @param {Date|String|Number} dateLeft - the later date
   * @param {Date|String|Number} dateRight - the earlier date
   * @returns {Number} the number of full weeks
   *
   * @example
   * // How many full weeks are between 5 July 2014 and 20 July 2014?
   * var result = differenceInWeeks(
   *   new Date(2014, 6, 20),
   *   new Date(2014, 6, 5)
   * )
   * //=> 2
   */
  function differenceInWeeks(dirtyDateLeft, dirtyDateRight) {
    var diff = differenceInDays(dirtyDateLeft, dirtyDateRight) / 7;
    return diff > 0 ? Math.floor(diff) : Math.ceil(diff);
  }

  module.exports = differenceInWeeks;
});
//# sourceMappingURL=index.js.map