Liferay.Loader.define('segments-web$date-fns@1.30.1/is_last_day_of_month/index', ['module', 'exports', 'require', '../parse/index', '../end_of_day/index', '../end_of_month/index'], function (module, exports, require) {
  var define = undefined;
  var parse = require('../parse/index');
  var endOfDay = require('../end_of_day/index');
  var endOfMonth = require('../end_of_month/index');

  /**
   * @category Month Helpers
   * @summary Is the given date the last day of a month?
   *
   * @description
   * Is the given date the last day of a month?
   *
   * @param {Date|String|Number} date - the date to check
   * @returns {Boolean} the date is the last day of a month
   *
   * @example
   * // Is 28 February 2014 the last day of a month?
   * var result = isLastDayOfMonth(new Date(2014, 1, 28))
   * //=> true
   */
  function isLastDayOfMonth(dirtyDate) {
    var date = parse(dirtyDate);
    return endOfDay(date).getTime() === endOfMonth(date).getTime();
  }

  module.exports = isLastDayOfMonth;
});
//# sourceMappingURL=index.js.map