Liferay.Loader.define('segments-web$date-fns@1.30.1/locale/es/build_distance_in_words_locale/index', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  function buildDistanceInWordsLocale() {
    var distanceInWordsLocale = {
      lessThanXSeconds: {
        one: 'menos de un segundo',
        other: 'menos de {{count}} segundos'
      },

      xSeconds: {
        one: '1 segundo',
        other: '{{count}} segundos'
      },

      halfAMinute: 'medio minuto',

      lessThanXMinutes: {
        one: 'menos de un minuto',
        other: 'menos de {{count}} minutos'
      },

      xMinutes: {
        one: '1 minuto',
        other: '{{count}} minutos'
      },

      aboutXHours: {
        one: 'alrededor de 1 hora',
        other: 'alrededor de {{count}} horas'
      },

      xHours: {
        one: '1 hora',
        other: '{{count}} horas'
      },

      xDays: {
        one: '1 día',
        other: '{{count}} días'
      },

      aboutXMonths: {
        one: 'alrededor de 1 mes',
        other: 'alrededor de {{count}} meses'
      },

      xMonths: {
        one: '1 mes',
        other: '{{count}} meses'
      },

      aboutXYears: {
        one: 'alrededor de 1 año',
        other: 'alrededor de {{count}} años'
      },

      xYears: {
        one: '1 año',
        other: '{{count}} años'
      },

      overXYears: {
        one: 'más de 1 año',
        other: 'más de {{count}} años'
      },

      almostXYears: {
        one: 'casi 1 año',
        other: 'casi {{count}} años'
      }
    };

    return {
      localize: function localize(token, count, options) {
        options = options || {};

        var result;
        if (typeof distanceInWordsLocale[token] === 'string') {
          result = distanceInWordsLocale[token];
        } else if (count === 1) {
          result = distanceInWordsLocale[token].one;
        } else {
          result = distanceInWordsLocale[token].other.replace('{{count}}', count);
        }

        if (options.addSuffix) {
          if (options.comparison > 0) {
            return 'en ' + result;
          } else {
            return 'hace ' + result;
          }
        }

        return result;
      }
    };
  }

  module.exports = buildDistanceInWordsLocale;
});
//# sourceMappingURL=index.js.map