Liferay.Loader.define('segments-web$date-fns@1.30.1/sub_days/index', ['module', 'exports', 'require', '../add_days/index'], function (module, exports, require) {
  var define = undefined;
  var addDays = require('../add_days/index');

  /**
   * @category Day Helpers
   * @summary Subtract the specified number of days from the given date.
   *
   * @description
   * Subtract the specified number of days from the given date.
   *
   * @param {Date|String|Number} date - the date to be changed
   * @param {Number} amount - the amount of days to be subtracted
   * @returns {Date} the new date with the days subtracted
   *
   * @example
   * // Subtract 10 days from 1 September 2014:
   * var result = subDays(new Date(2014, 8, 1), 10)
   * //=> Fri Aug 22 2014 00:00:00
   */
  function subDays(dirtyDate, dirtyAmount) {
    var amount = Number(dirtyAmount);
    return addDays(dirtyDate, -amount);
  }

  module.exports = subDays;
});
//# sourceMappingURL=index.js.map