Liferay.Loader.define('segments-web$date-fns@1.30.1/sub_hours/index', ['module', 'exports', 'require', '../add_hours/index'], function (module, exports, require) {
  var define = undefined;
  var addHours = require('../add_hours/index');

  /**
   * @category Hour Helpers
   * @summary Subtract the specified number of hours from the given date.
   *
   * @description
   * Subtract the specified number of hours from the given date.
   *
   * @param {Date|String|Number} date - the date to be changed
   * @param {Number} amount - the amount of hours to be subtracted
   * @returns {Date} the new date with the hours subtracted
   *
   * @example
   * // Subtract 2 hours from 11 July 2014 01:00:00:
   * var result = subHours(new Date(2014, 6, 11, 1, 0), 2)
   * //=> Thu Jul 10 2014 23:00:00
   */
  function subHours(dirtyDate, dirtyAmount) {
    var amount = Number(dirtyAmount);
    return addHours(dirtyDate, -amount);
  }

  module.exports = subHours;
});
//# sourceMappingURL=index.js.map