Liferay.Loader.define('segments-web$date-fns@1.30.1/sub_minutes/index', ['module', 'exports', 'require', '../add_minutes/index'], function (module, exports, require) {
  var define = undefined;
  var addMinutes = require('../add_minutes/index');

  /**
   * @category Minute Helpers
   * @summary Subtract the specified number of minutes from the given date.
   *
   * @description
   * Subtract the specified number of minutes from the given date.
   *
   * @param {Date|String|Number} date - the date to be changed
   * @param {Number} amount - the amount of minutes to be subtracted
   * @returns {Date} the new date with the mintues subtracted
   *
   * @example
   * // Subtract 30 minutes from 10 July 2014 12:00:00:
   * var result = subMinutes(new Date(2014, 6, 10, 12, 0), 30)
   * //=> Thu Jul 10 2014 11:30:00
   */
  function subMinutes(dirtyDate, dirtyAmount) {
    var amount = Number(dirtyAmount);
    return addMinutes(dirtyDate, -amount);
  }

  module.exports = subMinutes;
});
//# sourceMappingURL=index.js.map