Liferay.Loader.define('segments-web$date-fns@1.30.1/sub_seconds/index', ['module', 'exports', 'require', '../add_seconds/index'], function (module, exports, require) {
  var define = undefined;
  var addSeconds = require('../add_seconds/index');

  /**
   * @category Second Helpers
   * @summary Subtract the specified number of seconds from the given date.
   *
   * @description
   * Subtract the specified number of seconds from the given date.
   *
   * @param {Date|String|Number} date - the date to be changed
   * @param {Number} amount - the amount of seconds to be subtracted
   * @returns {Date} the new date with the seconds subtracted
   *
   * @example
   * // Subtract 30 seconds from 10 July 2014 12:45:00:
   * var result = subSeconds(new Date(2014, 6, 10, 12, 45, 0), 30)
   * //=> Thu Jul 10 2014 12:44:30
   */
  function subSeconds(dirtyDate, dirtyAmount) {
    var amount = Number(dirtyAmount);
    return addSeconds(dirtyDate, -amount);
  }

  module.exports = subSeconds;
});
//# sourceMappingURL=index.js.map