Liferay.Loader.define('segments-web$date-fns@1.30.1/sub_weeks/index', ['module', 'exports', 'require', '../add_weeks/index'], function (module, exports, require) {
  var define = undefined;
  var addWeeks = require('../add_weeks/index');

  /**
   * @category Week Helpers
   * @summary Subtract the specified number of weeks from the given date.
   *
   * @description
   * Subtract the specified number of weeks from the given date.
   *
   * @param {Date|String|Number} date - the date to be changed
   * @param {Number} amount - the amount of weeks to be subtracted
   * @returns {Date} the new date with the weeks subtracted
   *
   * @example
   * // Subtract 4 weeks from 1 September 2014:
   * var result = subWeeks(new Date(2014, 8, 1), 4)
   * //=> Mon Aug 04 2014 00:00:00
   */
  function subWeeks(dirtyDate, dirtyAmount) {
    var amount = Number(dirtyAmount);
    return addWeeks(dirtyDate, -amount);
  }

  module.exports = subWeeks;
});
//# sourceMappingURL=index.js.map