Liferay.Loader.define('segments-web$lodash@4.17.21/_Stack', ['module', 'exports', 'require', './_ListCache', './_stackClear', './_stackDelete', './_stackGet', './_stackHas', './_stackSet'], function (module, exports, require) {
  var define = undefined;
  var ListCache = require('./_ListCache'),
      stackClear = require('./_stackClear'),
      stackDelete = require('./_stackDelete'),
      stackGet = require('./_stackGet'),
      stackHas = require('./_stackHas'),
      stackSet = require('./_stackSet');

  /**
   * Creates a stack cache object to store key-value pairs.
   *
   * @private
   * @constructor
   * @param {Array} [entries] The key-value pairs to cache.
   */
  function Stack(entries) {
    var data = this.__data__ = new ListCache(entries);
    this.size = data.size;
  }

  // Add methods to `Stack`.
  Stack.prototype.clear = stackClear;
  Stack.prototype['delete'] = stackDelete;
  Stack.prototype.get = stackGet;
  Stack.prototype.has = stackHas;
  Stack.prototype.set = stackSet;

  module.exports = Stack;
});
//# sourceMappingURL=_Stack.js.map