Liferay.Loader.define("segments-web$lodash@4.17.21/_arrayEachRight", ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  /**
   * A specialized version of `_.forEachRight` for arrays without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Array} Returns `array`.
   */
  function arrayEachRight(array, iteratee) {
    var length = array == null ? 0 : array.length;

    while (length--) {
      if (iteratee(array[length], length, array) === false) {
        break;
      }
    }
    return array;
  }

  module.exports = arrayEachRight;
});
//# sourceMappingURL=_arrayEachRight.js.map