Liferay.Loader.define('segments-web$lodash@4.17.21/_assignMergeValue', ['module', 'exports', 'require', './_baseAssignValue', './eq'], function (module, exports, require) {
  var define = undefined;
  var baseAssignValue = require('./_baseAssignValue'),
      eq = require('./eq');

  /**
   * This function is like `assignValue` except that it doesn't assign
   * `undefined` values.
   *
   * @private
   * @param {Object} object The object to modify.
   * @param {string} key The key of the property to assign.
   * @param {*} value The value to assign.
   */
  function assignMergeValue(object, key, value) {
    if (value !== undefined && !eq(object[key], value) || value === undefined && !(key in object)) {
      baseAssignValue(object, key, value);
    }
  }

  module.exports = assignMergeValue;
});
//# sourceMappingURL=_assignMergeValue.js.map