Liferay.Loader.define('segments-web$lodash@4.17.21/_baseFunctions', ['module', 'exports', 'require', './_arrayFilter', './isFunction'], function (module, exports, require) {
  var define = undefined;
  var arrayFilter = require('./_arrayFilter'),
      isFunction = require('./isFunction');

  /**
   * The base implementation of `_.functions` which creates an array of
   * `object` function property names filtered from `props`.
   *
   * @private
   * @param {Object} object The object to inspect.
   * @param {Array} props The property names to filter.
   * @returns {Array} Returns the function names.
   */
  function baseFunctions(object, props) {
    return arrayFilter(props, function (key) {
      return isFunction(object[key]);
    });
  }

  module.exports = baseFunctions;
});
//# sourceMappingURL=_baseFunctions.js.map