Liferay.Loader.define('segments-web$lodash@4.17.21/_baseSome', ['module', 'exports', 'require', './_baseEach'], function (module, exports, require) {
  var define = undefined;
  var baseEach = require('./_baseEach');

  /**
   * The base implementation of `_.some` without support for iteratee shorthands.
   *
   * @private
   * @param {Array|Object} collection The collection to iterate over.
   * @param {Function} predicate The function invoked per iteration.
   * @returns {boolean} Returns `true` if any element passes the predicate check,
   *  else `false`.
   */
  function baseSome(collection, predicate) {
    var result;

    baseEach(collection, function (value, index, collection) {
      result = predicate(value, index, collection);
      return !result;
    });
    return !!result;
  }

  module.exports = baseSome;
});
//# sourceMappingURL=_baseSome.js.map