Liferay.Loader.define('segments-web$lodash@4.17.21/_baseToPairs', ['module', 'exports', 'require', './_arrayMap'], function (module, exports, require) {
  var define = undefined;
  var arrayMap = require('./_arrayMap');

  /**
   * The base implementation of `_.toPairs` and `_.toPairsIn` which creates an array
   * of key-value pairs for `object` corresponding to the property names of `props`.
   *
   * @private
   * @param {Object} object The object to query.
   * @param {Array} props The property names to get values for.
   * @returns {Object} Returns the key-value pairs.
   */
  function baseToPairs(object, props) {
    return arrayMap(props, function (key) {
      return [key, object[key]];
    });
  }

  module.exports = baseToPairs;
});
//# sourceMappingURL=_baseToPairs.js.map