Liferay.Loader.define('segments-web$lodash@4.17.21/_listCacheSet', ['module', 'exports', 'require', './_assocIndexOf'], function (module, exports, require) {
  var define = undefined;
  var assocIndexOf = require('./_assocIndexOf');

  /**
   * Sets the list cache `key` to `value`.
   *
   * @private
   * @name set
   * @memberOf ListCache
   * @param {string} key The key of the value to set.
   * @param {*} value The value to set.
   * @returns {Object} Returns the list cache instance.
   */
  function listCacheSet(key, value) {
    var data = this.__data__,
        index = assocIndexOf(data, key);

    if (index < 0) {
      ++this.size;
      data.push([key, value]);
    } else {
      data[index][1] = value;
    }
    return this;
  }

  module.exports = listCacheSet;
});
//# sourceMappingURL=_listCacheSet.js.map