Liferay.Loader.define('segments-web$lodash@4.17.21/defer', ['module', 'exports', 'require', './_baseDelay', './_baseRest'], function (module, exports, require) {
  var define = undefined;
  var baseDelay = require('./_baseDelay'),
      baseRest = require('./_baseRest');

  /**
   * Defers invoking the `func` until the current call stack has cleared. Any
   * additional arguments are provided to `func` when it's invoked.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Function
   * @param {Function} func The function to defer.
   * @param {...*} [args] The arguments to invoke `func` with.
   * @returns {number} Returns the timer id.
   * @example
   *
   * _.defer(function(text) {
   *   console.log(text);
   * }, 'deferred');
   * // => Logs 'deferred' after one millisecond.
   */
  var defer = baseRest(function (func, args) {
    return baseDelay(func, 1, args);
  });

  module.exports = defer;
});
//# sourceMappingURL=defer.js.map