Liferay.Loader.define('segments-web$lodash@4.17.21/flow', ['module', 'exports', 'require', './_createFlow'], function (module, exports, require) {
  var define = undefined;
  var createFlow = require('./_createFlow');

  /**
   * Creates a function that returns the result of invoking the given functions
   * with the `this` binding of the created function, where each successive
   * invocation is supplied the return value of the previous.
   *
   * @static
   * @memberOf _
   * @since 3.0.0
   * @category Util
   * @param {...(Function|Function[])} [funcs] The functions to invoke.
   * @returns {Function} Returns the new composite function.
   * @see _.flowRight
   * @example
   *
   * function square(n) {
   *   return n * n;
   * }
   *
   * var addSquare = _.flow([_.add, square]);
   * addSquare(1, 2);
   * // => 9
   */
  var flow = createFlow();

  module.exports = flow;
});
//# sourceMappingURL=flow.js.map