Liferay.Loader.define('segments-web$lodash@4.17.21/forEachRight', ['module', 'exports', 'require', './_arrayEachRight', './_baseEachRight', './_castFunction', './isArray'], function (module, exports, require) {
  var define = undefined;
  var arrayEachRight = require('./_arrayEachRight'),
      baseEachRight = require('./_baseEachRight'),
      castFunction = require('./_castFunction'),
      isArray = require('./isArray');

  /**
   * This method is like `_.forEach` except that it iterates over elements of
   * `collection` from right to left.
   *
   * @static
   * @memberOf _
   * @since 2.0.0
   * @alias eachRight
   * @category Collection
   * @param {Array|Object} collection The collection to iterate over.
   * @param {Function} [iteratee=_.identity] The function invoked per iteration.
   * @returns {Array|Object} Returns `collection`.
   * @see _.forEach
   * @example
   *
   * _.forEachRight([1, 2], function(value) {
   *   console.log(value);
   * });
   * // => Logs `2` then `1`.
   */
  function forEachRight(collection, iteratee) {
    var func = isArray(collection) ? arrayEachRight : baseEachRight;
    return func(collection, castFunction(iteratee));
  }

  module.exports = forEachRight;
});
//# sourceMappingURL=forEachRight.js.map