Liferay.Loader.define('segments-web$lodash@4.17.21/hasIn', ['module', 'exports', 'require', './_baseHasIn', './_hasPath'], function (module, exports, require) {
  var define = undefined;
  var baseHasIn = require('./_baseHasIn'),
      hasPath = require('./_hasPath');

  /**
   * Checks if `path` is a direct or inherited property of `object`.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Object
   * @param {Object} object The object to query.
   * @param {Array|string} path The path to check.
   * @returns {boolean} Returns `true` if `path` exists, else `false`.
   * @example
   *
   * var object = _.create({ 'a': _.create({ 'b': 2 }) });
   *
   * _.hasIn(object, 'a');
   * // => true
   *
   * _.hasIn(object, 'a.b');
   * // => true
   *
   * _.hasIn(object, ['a', 'b']);
   * // => true
   *
   * _.hasIn(object, 'b');
   * // => false
   */
  function hasIn(object, path) {
    return object != null && hasPath(object, path, baseHasIn);
  }

  module.exports = hasIn;
});
//# sourceMappingURL=hasIn.js.map