Liferay.Loader.define('segments-web$lodash@4.17.21/isArrayBuffer', ['module', 'exports', 'require', './_baseIsArrayBuffer', './_baseUnary', './_nodeUtil'], function (module, exports, require) {
  var define = undefined;
  var baseIsArrayBuffer = require('./_baseIsArrayBuffer'),
      baseUnary = require('./_baseUnary'),
      nodeUtil = require('./_nodeUtil');

  /* Node.js helper references. */
  var nodeIsArrayBuffer = nodeUtil && nodeUtil.isArrayBuffer;

  /**
   * Checks if `value` is classified as an `ArrayBuffer` object.
   *
   * @static
   * @memberOf _
   * @since 4.3.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an array buffer, else `false`.
   * @example
   *
   * _.isArrayBuffer(new ArrayBuffer(2));
   * // => true
   *
   * _.isArrayBuffer(new Array(2));
   * // => false
   */
  var isArrayBuffer = nodeIsArrayBuffer ? baseUnary(nodeIsArrayBuffer) : baseIsArrayBuffer;

  module.exports = isArrayBuffer;
});
//# sourceMappingURL=isArrayBuffer.js.map