Liferay.Loader.define('segments-web$lodash@4.17.21/isSet', ['module', 'exports', 'require', './_baseIsSet', './_baseUnary', './_nodeUtil'], function (module, exports, require) {
  var define = undefined;
  var baseIsSet = require('./_baseIsSet'),
      baseUnary = require('./_baseUnary'),
      nodeUtil = require('./_nodeUtil');

  /* Node.js helper references. */
  var nodeIsSet = nodeUtil && nodeUtil.isSet;

  /**
   * Checks if `value` is classified as a `Set` object.
   *
   * @static
   * @memberOf _
   * @since 4.3.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a set, else `false`.
   * @example
   *
   * _.isSet(new Set);
   * // => true
   *
   * _.isSet(new WeakSet);
   * // => false
   */
  var isSet = nodeIsSet ? baseUnary(nodeIsSet) : baseIsSet;

  module.exports = isSet;
});
//# sourceMappingURL=isSet.js.map