Liferay.Loader.define('segments-web$lodash@4.17.21/keysIn', ['module', 'exports', 'require', './_arrayLikeKeys', './_baseKeysIn', './isArrayLike'], function (module, exports, require) {
  var define = undefined;
  var arrayLikeKeys = require('./_arrayLikeKeys'),
      baseKeysIn = require('./_baseKeysIn'),
      isArrayLike = require('./isArrayLike');

  /**
   * Creates an array of the own and inherited enumerable property names of `object`.
   *
   * **Note:** Non-object values are coerced to objects.
   *
   * @static
   * @memberOf _
   * @since 3.0.0
   * @category Object
   * @param {Object} object The object to query.
   * @returns {Array} Returns the array of property names.
   * @example
   *
   * function Foo() {
   *   this.a = 1;
   *   this.b = 2;
   * }
   *
   * Foo.prototype.c = 3;
   *
   * _.keysIn(new Foo);
   * // => ['a', 'b', 'c'] (iteration order is not guaranteed)
   */
  function keysIn(object) {
    return isArrayLike(object) ? arrayLikeKeys(object, true) : baseKeysIn(object);
  }

  module.exports = keysIn;
});
//# sourceMappingURL=keysIn.js.map