Liferay.Loader.define('segments-web$lodash@4.17.21/min', ['module', 'exports', 'require', './_baseExtremum', './_baseLt', './identity'], function (module, exports, require) {
    var define = undefined;
    var baseExtremum = require('./_baseExtremum'),
        baseLt = require('./_baseLt'),
        identity = require('./identity');

    /**
     * Computes the minimum value of `array`. If `array` is empty or falsey,
     * `undefined` is returned.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Math
     * @param {Array} array The array to iterate over.
     * @returns {*} Returns the minimum value.
     * @example
     *
     * _.min([4, 2, 8, 6]);
     * // => 2
     *
     * _.min([]);
     * // => undefined
     */
    function min(array) {
        return array && array.length ? baseExtremum(array, identity, baseLt) : undefined;
    }

    module.exports = min;
});
//# sourceMappingURL=min.js.map