Liferay.Loader.define('segments-web$lodash@4.17.21/multiply', ['module', 'exports', 'require', './_createMathOperation'], function (module, exports, require) {
  var define = undefined;
  var createMathOperation = require('./_createMathOperation');

  /**
   * Multiply two numbers.
   *
   * @static
   * @memberOf _
   * @since 4.7.0
   * @category Math
   * @param {number} multiplier The first number in a multiplication.
   * @param {number} multiplicand The second number in a multiplication.
   * @returns {number} Returns the product.
   * @example
   *
   * _.multiply(6, 4);
   * // => 24
   */
  var multiply = createMathOperation(function (multiplier, multiplicand) {
    return multiplier * multiplicand;
  }, 1);

  module.exports = multiply;
});
//# sourceMappingURL=multiply.js.map