Liferay.Loader.define('segments-web$lodash@4.17.21/over', ['module', 'exports', 'require', './_arrayMap', './_createOver'], function (module, exports, require) {
  var define = undefined;
  var arrayMap = require('./_arrayMap'),
      createOver = require('./_createOver');

  /**
   * Creates a function that invokes `iteratees` with the arguments it receives
   * and returns their results.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Util
   * @param {...(Function|Function[])} [iteratees=[_.identity]]
   *  The iteratees to invoke.
   * @returns {Function} Returns the new function.
   * @example
   *
   * var func = _.over([Math.max, Math.min]);
   *
   * func(1, 2, 3, 4);
   * // => [4, 1]
   */
  var over = createOver(arrayMap);

  module.exports = over;
});
//# sourceMappingURL=over.js.map