Liferay.Loader.define('segments-web$lodash@4.17.21/pick', ['module', 'exports', 'require', './_basePick', './_flatRest'], function (module, exports, require) {
  var define = undefined;
  var basePick = require('./_basePick'),
      flatRest = require('./_flatRest');

  /**
   * Creates an object composed of the picked `object` properties.
   *
   * @static
   * @since 0.1.0
   * @memberOf _
   * @category Object
   * @param {Object} object The source object.
   * @param {...(string|string[])} [paths] The property paths to pick.
   * @returns {Object} Returns the new object.
   * @example
   *
   * var object = { 'a': 1, 'b': '2', 'c': 3 };
   *
   * _.pick(object, ['a', 'c']);
   * // => { 'a': 1, 'c': 3 }
   */
  var pick = flatRest(function (object, paths) {
    return object == null ? {} : basePick(object, paths);
  });

  module.exports = pick;
});
//# sourceMappingURL=pick.js.map