Liferay.Loader.define('segments-web$lodash@4.17.21/sortedIndex', ['module', 'exports', 'require', './_baseSortedIndex'], function (module, exports, require) {
  var define = undefined;
  var baseSortedIndex = require('./_baseSortedIndex');

  /**
   * Uses a binary search to determine the lowest index at which `value`
   * should be inserted into `array` in order to maintain its sort order.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Array
   * @param {Array} array The sorted array to inspect.
   * @param {*} value The value to evaluate.
   * @returns {number} Returns the index at which `value` should be inserted
   *  into `array`.
   * @example
   *
   * _.sortedIndex([30, 50], 40);
   * // => 1
   */
  function sortedIndex(array, value) {
    return baseSortedIndex(array, value);
  }

  module.exports = sortedIndex;
});
//# sourceMappingURL=sortedIndex.js.map