Liferay.Loader.define('segments-web$lodash@4.17.21/toPairs', ['module', 'exports', 'require', './_createToPairs', './keys'], function (module, exports, require) {
  var define = undefined;
  var createToPairs = require('./_createToPairs'),
      keys = require('./keys');

  /**
   * Creates an array of own enumerable string keyed-value pairs for `object`
   * which can be consumed by `_.fromPairs`. If `object` is a map or set, its
   * entries are returned.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @alias entries
   * @category Object
   * @param {Object} object The object to query.
   * @returns {Array} Returns the key-value pairs.
   * @example
   *
   * function Foo() {
   *   this.a = 1;
   *   this.b = 2;
   * }
   *
   * Foo.prototype.c = 3;
   *
   * _.toPairs(new Foo);
   * // => [['a', 1], ['b', 2]] (iteration order is not guaranteed)
   */
  var toPairs = createToPairs(keys);

  module.exports = toPairs;
});
//# sourceMappingURL=toPairs.js.map