Liferay.Loader.define('segments-web$lodash@4.17.21/toString', ['module', 'exports', 'require', './_baseToString'], function (module, exports, require) {
  var define = undefined;
  var baseToString = require('./_baseToString');

  /**
   * Converts `value` to a string. An empty string is returned for `null`
   * and `undefined` values. The sign of `-0` is preserved.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to convert.
   * @returns {string} Returns the converted string.
   * @example
   *
   * _.toString(null);
   * // => ''
   *
   * _.toString(-0);
   * // => '-0'
   *
   * _.toString([1, 2, 3]);
   * // => '1,2,3'
   */
  function toString(value) {
    return value == null ? '' : baseToString(value);
  }

  module.exports = toString;
});
//# sourceMappingURL=toString.js.map