Liferay.Loader.define('segments-web$lodash@4.17.21/uniq', ['module', 'exports', 'require', './_baseUniq'], function (module, exports, require) {
  var define = undefined;
  var baseUniq = require('./_baseUniq');

  /**
   * Creates a duplicate-free version of an array, using
   * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
   * for equality comparisons, in which only the first occurrence of each element
   * is kept. The order of result values is determined by the order they occur
   * in the array.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Array
   * @param {Array} array The array to inspect.
   * @returns {Array} Returns the new duplicate free array.
   * @example
   *
   * _.uniq([2, 1, 2]);
   * // => [2, 1]
   */
  function uniq(array) {
    return array && array.length ? baseUniq(array) : [];
  }

  module.exports = uniq;
});
//# sourceMappingURL=uniq.js.map