Liferay.Loader.define('segments-web$lodash@4.17.21/uniqueId', ['module', 'exports', 'require', './toString'], function (module, exports, require) {
  var define = undefined;
  var toString = require('./toString');

  /** Used to generate unique IDs. */
  var idCounter = 0;

  /**
   * Generates a unique ID. If `prefix` is given, the ID is appended to it.
   *
   * @static
   * @since 0.1.0
   * @memberOf _
   * @category Util
   * @param {string} [prefix=''] The value to prefix the ID with.
   * @returns {string} Returns the unique ID.
   * @example
   *
   * _.uniqueId('contact_');
   * // => 'contact_104'
   *
   * _.uniqueId();
   * // => '105'
   */
  function uniqueId(prefix) {
    var id = ++idCounter;
    return toString(prefix) + id;
  }

  module.exports = uniqueId;
});
//# sourceMappingURL=uniqueId.js.map