Liferay.Loader.define('segments-web$lodash@4.17.21/upperCase', ['module', 'exports', 'require', './_createCompounder'], function (module, exports, require) {
  var define = undefined;
  var createCompounder = require('./_createCompounder');

  /**
   * Converts `string`, as space separated words, to upper case.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category String
   * @param {string} [string=''] The string to convert.
   * @returns {string} Returns the upper cased string.
   * @example
   *
   * _.upperCase('--foo-bar');
   * // => 'FOO BAR'
   *
   * _.upperCase('fooBar');
   * // => 'FOO BAR'
   *
   * _.upperCase('__foo_bar__');
   * // => 'FOO BAR'
   */
  var upperCase = createCompounder(function (result, word, index) {
    return result + (index ? ' ' : '') + word.toUpperCase();
  });

  module.exports = upperCase;
});
//# sourceMappingURL=upperCase.js.map